<template>
    <template v-if="viewType == 'gapbase'">
        <GapDetail :id="did"></GapDetail>
    </template>
    <template v-else-if="viewType == 'swyqbase'">
        <SwyqDetail :id="did"></SwyqDetail>
    </template>
</template>
<script setup lang="ts">
import GapDetail from './models/gap-detail.vue';
import SwyqDetail from './models/swyq-detail.vue';
const viewType = ref('');
const did = ref('');
onLoad((options: any) => {
    viewType.value = options.viewType || '';
    did.value = options.id || '';
});
</script>
